<?php

namespace domain\Feature\FeatureProducer;

use domain\Feature\Feature\Feature;
use domain\_\AbstractRepositoryQuery;

class FeatureProducerRepositoryQuery extends AbstractRepositoryQuery
{
    protected FeatureProducerDefinition $definition;

    public function loadDependencies(): void
    {
        $this->loadDefinition(FeatureProducerDefinition::class);
    }

    public function filterByFeature(Feature $feature): self
    {
        $this->andWhere(['id_feature' => $feature->id]);
        return $this;
    }
}